/*
 * osd.h: The actual menu implementations
 *
 * See the main source file 'vdr.c' for copyright information and
 * how to reach the author.
 *
 * $Id: 
 */

#ifndef __OSD_H
#define __OSD_H

#include <vdr/osdbase.h>
#include "channelmonitor.h"

class cMenuZappedChannels : public cOsdMenu {
private:
  cChannelList *zappedChannels;
  void Setup(void);
  cChannel *GetChannel(int Index);
  void Propagate(void);
protected:
  eOSState Switch(void);
public:
  cMenuZappedChannels(cChannelList *ChannelList);
  ~cMenuZappedChannels();
  virtual eOSState ProcessKey(eKeys Key);
};
  
#endif  
